cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Flynn <pfl...@ucc.ie>
Subject Re: Cocoon 2.0.4 still failing
Date Thu, 09 Sep 2004 11:33:49 GMT
On Thu, 2004-09-09 at 11:48, Jorg Heymans wrote:
> did you check the endorsed lib problem? Search the wiki for a howto.

That seems to work, after a bit of experimenting. Thanks very much.

For the record, with Tomcat 4.1.30 and Cocoon 2.0.4 with Java 1.4.2_05 
under FC2 you need to copy xalan-2.3.1.jar (only) from 
/opt/tomcat/jakarta-tomcat-4.1.30/webapps/cocoon/WEB-INF/lib (where it 
was put when Tomcat expanded cocoon.war) to
/opt/tomcat/jakarta-tomcat-4.1.30/common/endorsed

Copying xalan-2.3.1.jar to /usr/java/j2sdk1.4.2_05/jre/lib/endorsed
as suggested in the Wiki does *not* work.

Copying xercesImpl-2.0.0.jar in the same manner seems to be unnecessary,
as /opt/tomcat/jakarta-tomcat-4.1.30/common/endorsed already has a file
xercesImpl.jar. I have not tried removing this and replaing it with the
2.0.0 file.

The Wiki EndorsedLibsProblem is immutable, so I'll leave
it to someone else to update.

///Peter



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message